genes.Chromosome {galgo} | R Documentation

## Converts the genes values to a numeric vector

### Description

Converts the genes values to a numeric vector.

### Usage

    ## S3 method for class 'Chromosome'
    genes(.O, ...)

### Value

Returns a vector of gene values.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Chromosome`. `Gene`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      genes(cr)
      # the output is the same, the print method uses genes method.

[Package galgo version 1.4 Index]